Get proxy health

  • GET /platform/infrastructure/proxies/health
Auth

Get the health status of all proxies.

Query parameters

expect_status string

The expected status

Responses

Returns health information on all the proxies

application/json
observed_proxies_count integer · format: int32 required

Total number of proxies

expected_proxies_count integer · format: int32 required

Expected minimum number of proxies

allocations object[] required

Allocations for proxies

allocations_type string required

The type of proxy allocations (e.g. Elasticsearch, Kibana, APM)

max_allocations integer · format: int32 required

The maximum number of allocations

proxies_at_max_allocations integer · format: int32 required

The number of proxies that have the maximum number of allocations

filtered_groups object[] required

Filtered groups of proxies with associated status

group object required

A set of proxy filters with an expected number of matching proxies.

id string

Identifier of the filtered group of proxies

filters object[] required

Filters to be matched

key string required

Key of the proxy metadata item to be matched

value string required

Value of the proxy metadata item to be matched

expected_proxies_count integer · format: int32 required

Expected minimum number of proxies matching all filters in this group

observed_proxies_count integer · format: int32 required

The number of proxies that match all of the filters in the group

status string required

"Health status for this filtered group. One of "Green", "Yellow" or "Red"

status string required

"Health status for all proxies. One of "Green", "Yellow" or "Red"

The health status is worse than the expected one.

application/json
observed_proxies_count integer · format: int32 required

Total number of proxies

expected_proxies_count integer · format: int32 required

Expected minimum number of proxies

allocations object[] required

Allocations for proxies

allocations_type string required

The type of proxy allocations (e.g. Elasticsearch, Kibana, APM)

max_allocations integer · format: int32 required

The maximum number of allocations

proxies_at_max_allocations integer · format: int32 required

The number of proxies that have the maximum number of allocations

filtered_groups object[] required

Filtered groups of proxies with associated status

group object required

A set of proxy filters with an expected number of matching proxies.

id string

Identifier of the filtered group of proxies

filters object[] required

Filters to be matched

key string required

Key of the proxy metadata item to be matched

value string required

Value of the proxy metadata item to be matched

expected_proxies_count integer · format: int32 required

Expected minimum number of proxies matching all filters in this group

observed_proxies_count integer · format: int32 required

The number of proxies that match all of the filters in the group

status string required

"Health status for this filtered group. One of "Green", "Yellow" or "Red"

status string required

"Health status for all proxies. One of "Green", "Yellow" or "Red"